Subject: Re: [dtn] I-D Action: draft-ietf-dtn-bpbis-17.txt

From: Brian Sipos <[email-masked]>
Date: Tue, 5 Nov 2019 15:50:26 +0000

Scott,
I found a minor nit when updating my BPv7 decoder implementation.
In the last (bpbis-17) draft there are changes to the flag bit encodings. The "manifest" block type/flag encodings are removed from the spec, but Section 4.1.3. "Bundle Processing Control Flags" still has a statement:

. The bundle contains a "manifest" extension block.  (Boolean)

It seems like this statement is vestigial and could be removed to avoid confusion.

________________________________
From: dtn <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: Friday, October 25, 2019 23:19
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: [dtn] I-D Action: draft-ietf-dtn-bpbis-17.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Delay/Disruption Tolerant Networking WG of the IETF.

        Title           : Bundle Protocol Version 7
        Authors         : Scott Burleigh
                          Kevin Fall
                          Edward J. Birrane
        Filename        : draft-ietf-dtn-bpbis-17.txt
        Pages           : 63
        Date            : 2019-10-25

Abstract:
   This Internet Draft presents a specification for Bundle Protocol,
   adapted from the experimental Bundle Protocol specification
   developed by the Delay-Tolerant Networking Research group of the
   Internet Research Task Force and documented in RFC 5050.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-dtn-bpbis/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-dtn-bpbis-17
https://datatracker.ietf.org/doc/html/draft-ietf-dtn-bpbis-17

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-dtn-bpbis-17

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
dtn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dtn

---

From: "Burleigh, Scott C (US 312B)" <[email-masked]>
Date: Tue, 5 Nov 2019 16:01:24 +0000

Thanks, Brian, I noticed that one too, and there are a couple of other nits that Marius Feldman has found.  I plan to repair these when I fix whatever other problems are identified in the IESG review.

Scott

From: Brian Sipos <[email-masked]>
Sent: Tuesday, November 5, 2019 7:50 AM
To: [email-masked]
Cc: Burleigh, Scott C (US 312B) <[email-masked]>
Subject: [EXTERNAL] Re: [dtn] I-D Action: draft-ietf-dtn-bpbis-17.txt

Scott,

________________________________
From: dtn <[email-masked]<mailto:[email-masked]>> on behalf of [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: Friday, October 25, 2019 23:19
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: [dtn] I-D Action: draft-ietf-dtn-bpbis-17.txt

Abstract:

_______________________________________________
dtn mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dtn